Subject: Re: bug#28023: fix make-temp-file race on local host

From: Paul Eggert <[email-masked]>
Date: Sat, 12 Aug 2017 09:25:37 -0700

Eli Zaretskii wrote:
> I think the function you are
> adding should be named make-temp-file-internal, as we do with other
> functions whose low-level parts are implemented in C.

I was following the lead of names like lread--substitute-command-keys, 
print--preprocess, and thread--blocker, all low-level C functions whose first 
part identifies which C module they're in. Although I see that the "-internal" 
suffix is more popular for this sort of thing, isn't that a revenant of the old 
days, before we instituted the convention of using PREFIX--NAME for private 
names? Or is the "-internal" suffix a separate naming convention, used by both 
Lisp and C code, that has a different semantics from PREFIX--NAME? If so, it 
would be nice to have advice somewhere as to when to use the -internal suffix vs 
when to use PREFIX--NAME.